<?
$rows = array();
$config = Zend_Registry::get('escorts_config');

//$prem_count = count($this->premiums);

$this->defines = Zend_Registry::get('defines');
$nav_show_array = array('escorts', 'escorts-only', 'agencies', 'independent-escorts', 'agency-escorts');
$list_type_show_array = array('newest', 'newest-independent', 'newest-agency-escorts', 'escorts-only', 'bdsm', 'boys-trans', 'escorts', 'agencies', 'citytours', 'upcomingtours', 'agency-escorts', 'independent-escorts');
$tours_show_array = array('citytours', 'upcomingtours');
//$simple_type_show_array = array('escorts', 'agencies');
$categories_show_array = array('escorts-only');
$newest_cats = array('newest', 'newest-independent', 'newest-agency-escorts');

$list_type = 'xl-gallery';
$xl_gallery_btn_class = 'act';
$gallery_btn_class = '';
$list_btn_class = '';
$simple_btn_class = '';
$this->thumb_size = 'thumb_ed_xl';

$list_types = array('xl-gallery', 'gallery', 'list', 'simple');

if ( isset($_COOKIE['list_type']) && $_COOKIE['list_type'] ) {
	$list_type = $_COOKIE['list_type'];

	if ( ! in_array($list_type, $list_types) ) {
		$list_type = $list_types[0];
	}

	if ( $list_type == 'list' ) {
		$xl_gallery_btn_class = '';
		$gallery_btn_class = '';
		$list_btn_class = 'act';
		$simple_btn_class = '';
		$this->thumb_size = 'thumb_ed_list';
	} else if ( $list_type == 'gallery' ) {
		$xl_gallery_btn_class = '';
		$gallery_btn_class = 'act';
		$list_btn_class = '';
		$simple_btn_class = '';
		$this->thumb_size = 'thumb_ed_v3';
	} else if ( $list_type == 'xl-gallery' ) {
		$xl_gallery_btn_class = 'act';
		$gallery_btn_class = '';
		$list_btn_class = '';
		$simple_btn_class = '';
		$this->thumb_size = 'thumb_ed_xl';
	} else if ( $list_type == 'simple' ) {
		$simple_btn_class = 'act';
		$xl_gallery_btn_class = '';
		$gallery_btn_class   = '';
		$list_btn_class   = '';
		$this->thumb_size = 'thumb_ed_simple';
	}
}

$this->list_type = $list_type;
?>

<?= $this->render('private-v2/logged-in-user-info.phtml') ?>

<? if ( ! _cs($this->global_cache_key . '_simple_view') ): ?>

<? if( ! $this->segmented ): ?>

<div id="search-box-wrapper">
	<?= $this->render('escorts/search-box.phtml') ?>
</div>

<div>
	<div class="h-title-wrapper">
		<?= $this->render('escorts/city-country-title.phtml') ?>
	</div>

	

	<div class="clear"></div>
</div>

<div id="body-navigation">

	<? if( in_array($this->static_page_key, $tours_show_array) ): ?>
		<div class="nav-item act">
			<div class="left"></div>

			<a class="an" href="<?= $this->getLink('navigation-link', array('top_category' => ($this->static_page_key == 'citytours') ? 'upcomingtours' : 'citytours', 'city_slug' => $this->p_city_slug, 'city_id' => $this->p_city_id, 'country_slug' => $this->p_country_slug, 'country_id' => $this->p_country_id)) ?>"><?= ($this->static_page_key == 'citytours') ? __('show_all_upcoming_tours') : __('show_all_tours') ?></a>
			<div class="right"></div>

			<div class="clear"></div>
		</div>
	<? endif; ?>

	<? if( in_array($this->static_page_key, $nav_show_array) ): ?>
		<?= $this->render('escorts/top-categories-filter.phtml') ?>
	<? endif; ?>

	<? if( in_array($this->static_page_key, $newest_cats) ): ?>
		<?= $this->render('escorts/top-categories-filter-newest.phtml') ?>
	<? endif; ?>

	<? if( in_array($this->static_page_key, array('boys', 'boys-heterosexual', 'boys-bisexual', 'boys-homosexual')) ): ?>
		<?= $this->render('escorts/top-categories-filter-men.phtml') ?>
	<? endif; ?>

	<div class="clear"></div>

</div>

<input type="hidden" name="p_id" id="p_id" value="<?= $this->p_id ?>" />

<? if( ! in_array($this->static_page_key, $newest_cats) ): ?>
<div class="sorting-box">
	<?= $this->render('escorts/sort-box.phtml') ?>
</div>
<? endif; ?>

<div class="clear"></div>

<?
	$last_verification = Model_EscortsV2::getLastVerificationDate($this->p_city_id, $this->p_country_id);
	$last_modification = Model_EscortsV2::getLastMofificationDate($this->p_city_id, $this->p_country_id);
?>
<div id="last-action-box">
	<div class="fleft">
		<? if ($last_verification->date_last_verified): ?>
		<p class="v an">
			<?= __('last_verification') ?>: 

			<? if ($this->p_city_id): ?> 
				<a class="escort view-profile" href="<?= $this->getLink('profile', array('showname' => $last_verification->showname, 'escort_id' => $last_verification->escort_id)) ?>"> 
					<?= $last_verification->showname ?>
				</a>, <?= date("d.m.Y ( H:i A )", strtotime($last_verification->date_last_verified)) ?>
			<? else: ?>	 
			 <?= $last_verification->city_title ?>, <?= date("d.m.Y ( H:i A )", strtotime($last_verification->date_last_verified)) ?>
			<? endif; ?>
			
		</p>
		<? endif; ?>
		<p class="m an">
			<?= __('last_modified') ?>: 
			<? if ($this->p_city_id): ?> 
				<a class="escort view-profile" href="<?= $this->getLink('profile', array('showname' => $last_modification->showname, 'escort_id' => $last_modification->escort_id)) ?>"> 
					<?= $last_modification->showname ?>
				</a>, <?= date("d.m.Y ( H:i A )", strtotime($last_modification->date_last_modified)) ?>
			<? else: ?>	 
			 <?= $last_modification->city_title ?>, <?= date("d.m.Y ( H:i A )", strtotime($last_modification->date_last_modified)) ?>
			<? endif; ?>
		</p>
	</div>


	<? if( in_array($this->static_page_key, $list_type_show_array) ): ?>
		<? $margin_top = true; ?>

		<? if ( $this->lang() == 'en' ): ?>
			<div class="view-type <?= ($margin_top) ? 'mt' : '' ?>">
				<a rel="simple" class="simple sprite <?= $simple_btn_class ?> an" href=""></a>		
				<a rel="list" class="list sprite <?= $list_btn_class ?> an" href=""></a>
				<a rel="gallery" class="gallery sprite <?= $gallery_btn_class ?> an" href=""></a>
				<a rel="xl-gallery" class="xl-gallery sprite <?= $xl_gallery_btn_class ?> an" href=""></a>	
				<input type="hidden" value="<?= $list_type ?>" name="list_type" />
			</div>
		<? else: ?>
			<div class="view-type <?= ($margin_top) ? 'mt' : '' ?>">
				<a rel="simple" class="simple <?= $simple_btn_class ?> an" href=""><?= __('simple_view') ?></a>		
				<a rel="list" class="list <?= $list_btn_class ?> an" href=""><?= __('list_view') ?></a>
				<a rel="gallery" class="gallery <?= $gallery_btn_class ?> an" href=""><?= __('gallery_view') ?></a>
				<a rel="xl-gallery" class="xl-gallery <?= $xl_gallery_btn_class ?> an" href=""><?= __('xl_gallery_view') ?></a>	
				<input type="hidden" value="<?= $list_type ?>" name="list_type" />
			</div>
		<? endif; ?>
	<? endif; ?>

	<div class="clear"></div>
</div>

<div id="escorts">
<? endif; ?>

	<? if ( count($this->escorts) > 0 ): ?>

		<? if( isset($this->escorts['nearest_city_escorts']) ): ?>
			<?
				$nearest_city_escorts = $this->escorts['nearest_city_escorts'];
				unset($this->escorts['nearest_city_escorts']);				
			?>
		<? endif; ?>

		<? if( isset($this->escorts['vips']) && count($this->escorts['vips']) ): ?>
			<div class="simple premiums">
				<div class="header an"><span><?= __('vip_listings') ?></span></div>

					<? foreach($this->escorts['vips'] as $v => $vip_escort): $this->escort = $vip_escort; $this->row_index = $v; ?>
						<?= $this->render('escorts/list-type-simple.phtml') ?>
					<? endforeach; ?>

			</div>
		<? endif; ?>

		<? if( isset($this->escorts['premiums']) && count($this->escorts['premiums']) ): ?>
			<div class="simple premiums">
				<div class="header an"><span><?= __('premium_listings') ?></span></div>

					<? foreach($this->escorts['premiums'] as $k => $premium_escort): $this->escort = $premium_escort; $this->row_index = $k; ?>
						<? if ($premium_escort->is_agency): ?>
							<?= $this->render('agencies/list-type-simple-agency.phtml') ?>
						<? else: ?>
							<?= $this->render('escorts/list-type-simple.phtml') ?>
						<? endif; ?>
					<? endforeach; ?>

			</div>
		<? endif; ?>

		<? if ( in_array($this->p_top_category, $newest_cats) ): ?>			

			<? foreach ( $this->escorts['newest'] as $date => $escort ): ?>
				<div class="clear"></div>
				<p class="escort-date-separator an"><?= ($date == date('d.m.Y', time())) ? __('today_new') : $date ?></p>
				<div class="clear"></div>

				<div class="simple">
					<? foreach($escort['city_groups'] as $k => $escorts): ?>
						<div class="group-head an"><?= $k ?> <?= __('escorts') ?></div>
						<? foreach($escorts as $escort): $this->escort = $escort; ?>
							<?= $this->render('escorts/list-type-simple.phtml') ?>
							<div class="simple-sep"></div>
						<? endforeach; ?>


					<? endforeach; ?>

				</div>
			<? endforeach; ?>

		<? /*<? elseif ( $this->p_top_category == 'escorts' && ! $this->is_active_filter ): ?>

			<? if( isset($this->escorts['agencies']['city_groups']) && count($this->escorts['agencies']['city_groups']) ): ?>
				<div class="clear"></div>
				<p class="escort-type-separator agency-escort an"><span class="wr"><span class="icon"></span><?= __('agencies') ?></span></p>
				<div class="clear"></div>

				<div class="simple">
					<? foreach($this->escorts['agencies']['city_groups'] as $k => $escorts): ?>
						<div class="group-head an"><?= $k ?> <?= __('escorts') ?></div>
						<? foreach($escorts as $escort): $this->escort = $escort; ?>
							<?= $this->render('agencies/list-type-simple-agency.phtml') ?>
							<div class="simple-sep"></div>
						<? endforeach; ?>


					<? endforeach; ?>

				</div>
			<? endif; ?>

			<? if( isset($this->escorts['escorts']['city_groups']) && count($this->escorts['escorts']['city_groups']) ): ?>
				<div class="clear"></div>
				<p class="escort-type-separator indep-escort an"><span class="wr"><span class="icon"></span><?= __('escorts') ?></span></p>
				<div class="clear"></div>

				<div class="simple">
					<? foreach($this->escorts['escorts']['city_groups'] as $k => $escorts): ?>
						<div class="group-head an"><?= $k ?> <?= __('escorts') ?></div>
						<? foreach($escorts as $escort): $this->escort = $escort; ?>
							<?= $this->render('escorts/list-type-simple.phtml') ?>
							<div class="simple-sep"></div>
						<? endforeach; ?>


					<? endforeach; ?>

				</div>
			<? endif; ?>*/ ?>

		<? else: ?>

			<? if( isset($this->escorts['city_groups']) && count($this->escorts['city_groups']) ): ?>
				<div class="simple">
					<? foreach($this->escorts['city_groups'] as $k => $escorts): ?>
						<div class="group-head an"><?= $k ?></div>
						<? foreach($escorts as $escort): $this->escort = $escort; ?>
							<?= $this->render('escorts/list-type-simple.phtml') ?>
							<div class="simple-sep"></div>
						<? endforeach; ?>


					<? endforeach; ?>

				</div>
			<? endif; ?>

		<? endif; ?>

		<? if( count($nearest_city_escorts) && ! $this->segmented ): ?>
			<?				
				$m_city = new Cubix_Geography_Cities();
				$title = $m_city->getTitleBySlug($this->p_city_slug);
			?>
			<div class="clear"></div>
			<p class="escort-type-separator nearest-city-escorts an"><span class="wr"></span><?/*<span class="icon"></span>*/?><?= __('other_escorts_close_to', array('CITY' => $title)) ?></span></p>
			<div class="clear"></div>

			<div class="simple">
				<? foreach($nearest_city_escorts['city_groups'] as $k => $escorts): ?>
					<div class="group-head an"><?= $k ?> <?= __('escorts') ?></div>
					<? foreach($escorts as $escort): $this->escort = $escort; ?>
						<?= $this->render('escorts/list-type-simple.phtml') ?>
						<div class="simple-sep"></div>
					<? endforeach; ?>


				<? endforeach; ?>

			</div>
		<? endif; ?>


		<div class="clear"></div>
		
		<? $pages_count = ceil($this->count / $this->per_page); ?>
		<? if ( $this->show_all_hidden_escorts == 0 ): ?>
			<? if ( $this->p_top_category == 'escorts' || $this->p_top_category == 'agency-escorts' ): ?>
				<? if ( ($this->count < $this->button_escort_counts['escorts'] || $this->count < $this->button_escort_counts['agency-escorts']) && $pages_count == $this->page ): ?>
					<a href="#" class="btn-show-all-hidden-escorts an" page="<?= $this->page ?>"><?= __('show_all_hidden') ?></a>
				<? endif; ?>
			<? endif; ?>
		<? endif; ?>


	<? else: ?>

		<div class="no-escorts-found">
			<p class="pink an"><?= __('no_results_found') ?></p>
			<p class="gray an"><?= __('try_different_query') ?></p>
			<div class="clear"></div>
		</div>


	<? endif; ?>

	<div class="clear"></div>


	<? $pages_count = ceil($this->count / $this->per_page); ?>
	<? if ($pages_count != 1): ?>
		<div class="clear"></div>
		<div class="paging-list">
			<? $pages = $this->paging($this->count, $this->page, $this->per_page, 7, 3); ?>

			<? if (1 < $this->page): ?>
				<a href="<?= $this->getLink('navigation-link', array('top_category' => $this->p_top_category, 'city_slug' => $this->p_city_slug, 'city_id' => $this->p_city_id, 'country_slug' => $this->p_country_slug, 'country_id' => $this->p_country_id, 'show_escorts' => true, 'page' => $this->page - 1)) ?>" onclick="return Sceon.Filter.Set({page: [<?= $this->page - 1 ?>]})"><?= $this->t('previous') ?></a>
			<? endif ?>

			<? foreach ($pages as $page): ?>
				<? if ($this->page == $page): ?>
					<span class="active"><?= $page ?></span>
				<? else: ?>
					<a href="<?= $this->getLink('navigation-link', array('top_category' => $this->p_top_category, 'city_slug' => $this->p_city_slug, 'city_id' => $this->p_city_id, 'country_slug' => $this->p_country_slug, 'country_id' => $this->p_country_id, 'show_escorts' => true, 'page' => $page)) ?>" onclick="return Sceon.Filter.Set({page: [<?= $page ?>]})"><?= $page ?></a>
				<? endif ?>
			<? endforeach ?>

			<? if ($pages_count > $this->page): ?>
				<a href="<?= $this->getLink('navigation-link', array('top_category' => $this->p_top_category, 'city_slug' => $this->p_city_slug, 'city_id' => $this->p_city_id, 'country_slug' => $this->p_country_slug, 'country_id' => $this->p_country_id, 'show_escorts' => true, 'page' => $this->page + 1)) ?>" onclick="return Sceon.Filter.Set({page: [<?= $this->page + 1 ?>]})"><?= $this->t('next') ?></a>
			<? endif ?>
		</div>
	<? endif; ?>



<? if( ! $this->segmented ): ?>
</div>
<? endif; ?>

	<? _ce(); ?>
<? endif; ?>